View Issue Details

IDProjectCategoryView StatusLast Update
0024373LazarusLazUtilspublic2014-01-11 15:07
ReporterBart BroersmaAssigned ToBart Broersma 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowOS VersionWin7
Product Version1.1 (SVN)Product Buildr40902 
Target VersionFixed in Version1.2.0 
Summary0024373: TMask.Matches fails on filenams and masks with UTF8 codepoints
DescriptionIf a mask contains UTF8 codepoints, Matches fails when CaseSensitive = False
Steps To ReproduceMatchesMask('Ä', '*ä*', False) evaluates to False, but should evaluate to True
TagsNo tags attached.
Fixed in Revisionr43637
LazTarget-
Widgetset
Attached Files

Relationships

has duplicate 0024563 resolvedBart Broersma FindAllFiles search in case Sensitive mode for my native codepage letters, but must be not case Sensitive 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2013-05-03 23:34 Bart Broersma New Issue
2013-06-06 22:43 Bart Broersma Relationship added has duplicate 0024563
2014-01-02 19:49 Bart Broersma Fixed in Revision => r43637
2014-01-02 19:49 Bart Broersma Status new => resolved
2014-01-02 19:49 Bart Broersma Fixed in Version => 1.2.0
2014-01-02 19:49 Bart Broersma Resolution open => fixed
2014-01-02 19:49 Bart Broersma Assigned To => Bart Broersma
2014-01-11 15:07 Bart Broersma Status resolved => closed